com.brightcove.player.render

## Interface SelectionOverrideCreator

- All Known Implementing Classes:
    InclusiveHEVCVideoSelectionOverride

      public interface SelectionOverrideCreator

  A `DefaultTrackSelector.SelectionOverride` creator, that can be set using `TrackSelectorHelper.applySelectionOverride(int, SelectionOverrideCreator)` to manually select the track renditions.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static SelectionOverrideCreator` | `EMPTY` Indicates an empty SelectionOverrideCreator.
    `static com.google.android.exoplayer2.trackselection.DefaultTrackSelector.SelectionOverride` | `EMPTY_SELECTION_OVERRIDE` Indicates this is an empty Selection Override.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Default Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `default com.google.android.exoplayer2.trackselection.DefaultTrackSelector.SelectionOverride` | `create(com.google.android.exoplayer2.source.TrackGroupArray trackGroups, int trackIndex)` Deprecated. Please use `create(TrackGroupArray, int, DefaultTrackSelector.Parameters)`
    `com.google.android.exoplayer2.trackselection.DefaultTrackSelector.SelectionOverride` | `create(com.google.android.exoplayer2.source.TrackGroupArray trackGroups, int trackIndex, com.google.android.exoplayer2.trackselection.DefaultTrackSelector.Parameters parameters)` Creates a `DefaultTrackSelector.SelectionOverride` based on the `TrackGroup` and track index provided.

- - ### Field Detail

    - #### EMPTY

          static final SelectionOverrideCreator EMPTY

      Indicates an empty SelectionOverrideCreator. Its create method returns `EMPTY_SELECTION_OVERRIDE`

    - #### EMPTY_SELECTION_OVERRIDE

          static final com.google.android.exoplayer2.trackselection.DefaultTrackSelector.SelectionOverride EMPTY_SELECTION_OVERRIDE

      Indicates this is an empty Selection Override. Use this instead of null.

  - ### Method Detail

    - #### create

          @Deprecated
           @NonNull
          default com.google.android.exoplayer2.trackselection.DefaultTrackSelector.SelectionOverride create(@NonNull
                                                                                                                                   com.google.android.exoplayer2.source.TrackGroupArray trackGroups,
                                                                                                                                   int trackIndex)

      Deprecated. Please use `create(TrackGroupArray, int, DefaultTrackSelector.Parameters)`

      Creates a `DefaultTrackSelector.SelectionOverride` based on the `TrackGroup` and track index provided.

      The `TrackGroupArray` can be retrieved by calling `MappingTrackSelector.MappedTrackInfo.getTrackGroups(int)`.

      Parameters:
        `trackGroups` - the Track Group Array from the current Video
        `trackIndex` - the track index of the TrackGroupArray to be impacted.
      Returns:
        the Selection Override to be set to the `DefaultTrackSelector`

    - #### create

          @NonNull
          com.google.android.exoplayer2.trackselection.DefaultTrackSelector.SelectionOverride create(@NonNull
                                                                                                              com.google.android.exoplayer2.source.TrackGroupArray trackGroups,
                                                                                                              int trackIndex,
                                                                                                              @Nullable
                                                                                                              com.google.android.exoplayer2.trackselection.DefaultTrackSelector.Parameters parameters)

      Creates a `DefaultTrackSelector.SelectionOverride` based on the `TrackGroup` and track index provided.

      The `TrackGroupArray` can be retrieved by calling `MappingTrackSelector.MappedTrackInfo.getTrackGroups(int)`.

      Parameters:
        `trackGroups` - the Track Group Array from the current Video
        `trackIndex` - the track index of the TrackGroupArray to be impacted.
        `parameters` - it contains the TrackSelector parameters that can further constraint the SelectionOverride
      Returns:
        the Selection Override to be set to the `DefaultTrackSelector`